Autore Topic: Versione PHP suggerita da aggiornamento  (Letto 231 volte)

Offline RickyCast

  • Nuovo arrivato
  • *
  • Post: 28
  • Sesso: Maschio
    • Mostra profilo
    • Sito aziendale
Versione PHP suggerita da aggiornamento
« il: 19 Mag 2017, 10:33:25 »
Buongiorno. All'apertura del mio sito Joomla 3.7 in locale, sul quale non mettevo attenzione da diverso tempo, il sistema mi ha comunicato che sarebbe stato meglio passare alla versione 7 di PHP. Siccome ovviamente il mio Sito sta sui Server di quel *****, che non offre altro che la versione 5.3.29 di PHP (supporta però la 5.6.3) mi domando cosa accadrà se aggiornerò anche quel Sito alla versione 3.7.1 di Joomla. Qualcuno ha qualche idea in proposito?
« Ultima modifica: 19 Mag 2017, 12:01:55 da marine »

Offline Limma

  • Appassionato
  • ***
  • Post: 333
  • Sesso: Maschio
    • Mostra profilo
Re:Versione PHP suggerita da aggiornamento
« Risposta #1 il: 19 Mag 2017, 10:51:58 »
... Sicuro?
Ho appena dato un'occhiata al pannello di controllo dell'host da te "suggerito", e dà la possibilità di impostare php 7.0

Offline marine

  • Moderator
  • Instancabile
  • *****
  • Post: 2147
  • Sesso: Maschio
    • Mostra profilo
Re:Versione PHP suggerita da aggiornamento
« Risposta #2 il: 19 Mag 2017, 11:56:27 »
e non fare a meno di considerare che la versione 3.7 ha una importante falla di sicurezza resa di pubblico dominio grazie alla quale molti cattivoni possono fare quello che vogliono con il tuo sito.


http://www.joomla.it/notizie/8683-disponibile-aggiornamento-joomla-3-7-1.html


Offline marine

  • Moderator
  • Instancabile
  • *****
  • Post: 2147
  • Sesso: Maschio
    • Mostra profilo
Re:Versione PHP suggerita da aggiornamento
« Risposta #3 il: 19 Mag 2017, 12:00:59 »
@RickyCast

già che c'eri potevi scrivere il nome del hosting, la tua "descrizione" non lascia molto scampo all'immaginazione...

Offline giovi

  • Instancabile
  • ******
  • Post: 9797
  • Sesso: Maschio
    • Mostra profilo
    • Simple
Re:Versione PHP suggerita da aggiornamento
« Risposta #4 il: 19 Mag 2017, 12:11:56 »
Joomla 3.7 può continuare a girare su 5.3.10+. Se hai la possibilità di passare a PHP 7.0 fallo, altrimenti aggiorna pure Joomla! alla 3.7.1 senza timore.  ;)
Che ti costa? Se ti ho aiutato,  vota  la mia estensione sulla JED

Offline RickyCast

  • Nuovo arrivato
  • *
  • Post: 28
  • Sesso: Maschio
    • Mostra profilo
    • Sito aziendale
Re:Versione PHP suggerita da aggiornamento
« Risposta #5 il: 19 Mag 2017, 14:54:05 »
Per Limma.  Ho scelto di disinstallare Joomla, che conteneva solo un Sito di test. L'ho reinstallato utilizzando la procedura di installazione del provider, che installa la 3.7.1 ma NON installa PHP 7. Non solo, fra le diverse opzioni offerte a proposito di PHP, c'è anche quella di scegliere la versione da utilizzare, ma si ferma alla 5.6
Ci riferiamo allo stesso Provider?

Offline marine

  • Moderator
  • Instancabile
  • *****
  • Post: 2147
  • Sesso: Maschio
    • Mostra profilo
Re:Versione PHP suggerita da aggiornamento
« Risposta #6 il: 19 Mag 2017, 15:00:25 »
ma perchè al posto di infrangere continuamente il regolamento del forum non chiedi lumi direttamente al tuo servizio hosting visto che lo paghi e l'assistenza è un tuo diritto?


Offline RickyCast

  • Nuovo arrivato
  • *
  • Post: 28
  • Sesso: Maschio
    • Mostra profilo
    • Sito aziendale
Re:Versione PHP suggerita da aggiornamento
« Risposta #7 il: 19 Mag 2017, 17:49:51 »
Scusami marine, non volevo assolutamente infrangere il regolamento e francamente non so neppure come e dove lo abbia fatto.
Ti assicuro, senza nessuna polemica, fammi sapere dove ho sbagliato ed eviterò accuratamente di farlo per il futuro.
Comunque, come hai suggerito tu, ho interpellato l'assistenza del provider ed aspetto una risposta.
Purtroppo la scelta del provider non dipende da me, .....
Buon fine settimana.

Offline marine

  • Moderator
  • Instancabile
  • *****
  • Post: 2147
  • Sesso: Maschio
    • Mostra profilo
Re:Versione PHP suggerita da aggiornamento
« Risposta #8 il: 19 Mag 2017, 21:46:57 »
il regolamento del forum non permette di richiedere / offrire assistenza su servizi o prodotti commerciali

Offline tomtomeight

  • Global Moderator
  • Fuori controllo
  • ********
  • Post: 27403
  • Sesso: Maschio
  • Chi si specializza muore.
    • Mostra profilo
    • Xataface Italia
Re:Versione PHP suggerita da aggiornamento
« Risposta #9 il: 19 Mag 2017, 22:47:43 »
Citazione
Purtroppo la scelta del provider non dipende da me


Allora non dovrebbero dipendere da te neanche le conseguenze negative. In fondo un trasferimento di provider costa rispetto al totale del lavoro solo una infinitesima parte. E se hai un tuo server dedicato o cloud ti costerà ancora meno la sola gestione dns. Con buona pace e addio ai problemi legati agli aggiornamenti.
NEWS DataGrill Xataface Installer (Ver. 1.0.0) per Joomla 3.6 ed un Esempio Applicazione Bblioteca

Offline friz102

  • Esploratore
  • **
  • Post: 170
  • Sesso: Maschio
    • Mostra profilo
    • Sito ufficiale della Valle Jato
Re:Versione PHP suggerita da aggiornamento
« Risposta #10 il: 21 Mag 2017, 21:11:41 »
Ho da poco la possibilità di passare alla versione di Php 7 ma se abilito la versione 7 il sito mi va in blocco dal lato admin mi compare un generico errore dal lato utenti invece mi compare questo messaggio


Citazione

The parameter "platforminfo.class" must be defined

ma non capisco dove agire, qualcuno sa indicarmi una via '


RISOLTO
Ho disabilitato delle librerie e un plugin della RocketTheme e tutto funziona
« Ultima modifica: 21 Mag 2017, 21:27:08 da friz102 »
Il silenzio alimenta l'inefficenza

Offline marine

  • Moderator
  • Instancabile
  • *****
  • Post: 2147
  • Sesso: Maschio
    • Mostra profilo
Re:Versione PHP suggerita da aggiornamento
« Risposta #11 il: 21 Mag 2017, 21:14:44 »
ma non capisco dove agire, qualcuno sa indicarmi una via '

Ti consiglio di aprire un nuovo post con un titolo esplicativo così avrai maggiore visibilità e di conseguenza più probabilità di ottenere una risposta adeguata.

Offline friz102

  • Esploratore
  • **
  • Post: 170
  • Sesso: Maschio
    • Mostra profilo
    • Sito ufficiale della Valle Jato
Re:Versione PHP suggerita da aggiornamento
« Risposta #12 il: 21 Mag 2017, 21:27:45 »
Ti consiglio di aprire un nuovo post con un titolo esplicativo così avrai maggiore visibilità e di conseguenza più probabilità di ottenere una risposta adeguata.


ho risolto, grazie
Il silenzio alimenta l'inefficenza

Offline giovi

  • Instancabile
  • ******
  • Post: 9797
  • Sesso: Maschio
    • Mostra profilo
    • Simple
Re:Versione PHP suggerita da aggiornamento
« Risposta #13 il: 22 Mag 2017, 00:27:34 »
il problema (che problema non è) è che php7 è diventato molto più restrittivo delle precedenti versioni (ma è solo un bene), per cui numerose estensioni non sviluppate a regola d'arte ora si ritroveranno con messaggi d'errore simili a questo.  Joomla! da solo invece non genera alcun problema con php7.

In tali casi comunque niente paura e cercate di stabilire un contatto (pacifico! :) ) con lo sviluppatore per segnalare il problema.
Che ti costa? Se ti ho aiutato,  vota  la mia estensione sulla JED

 

Torna su